export { attachPart, default, isEditorPartVisible, onPartVisibilityChange, renderActivitybarPar, renderAuxiliaryPart, renderEditorPart, renderPanelPart, renderPart, renderSidebarPart, renderStatusBarPart } from './views.js';
export { ViewContainerLocation } from 'vscode/vscode/vs/workbench/common/views';
export { ActivitybarPart } from 'vscode/vscode/vs/workbench/browser/parts/activitybar/activitybarPart';
export { GroupOrientation } from 'vscode/vscode/vs/workbench/services/editor/common/editorGroupsService';
export { RegisteredEditorPriority } from 'vscode/vscode/vs/workbench/services/editor/common/editorResolverService';
export { EditorInputCapabilities } from 'vscode/vscode/vs/workbench/common/editor';
export { Parts, Position } from 'vscode/vscode/vs/workbench/services/layout/browser/layoutService';
export { EditorPane, SimpleEditorInput, SimpleEditorPane, getPanelPosition, getSideBarPosition, isPartVisibile, onDidChangePanelPosition, onDidChangeSideBarPosition, registerCustomView, registerEditor, registerEditorPane, registerEditorSerializer, setPartVisibility, viewContainerRegistry, viewRegistry } from './tools/views.js';
export { ViewPaneContainer } from 'vscode/vscode/vs/workbench/browser/parts/views/viewPaneContainer';
export { ConfirmResult } from './override/vs/platform/dialogs/common/dialogs.js';
export { AbstractResourceEditorInput } from 'vscode/vscode/vs/workbench/common/editor/resourceEditorInput';
export { AbstractTextResourceEditorInput } from 'vscode/vscode/vs/workbench/common/editor/textResourceEditorInput';
export { EditorInput } from 'vscode/vscode/vs/workbench/common/editor/editorInput';
export { SplitView } from 'vscode/vscode/vs/base/browser/ui/splitview/splitview';
export { DomScrollableElement } from 'vscode/vscode/vs/base/browser/ui/scrollbar/scrollableElement';
export { ActivityService } from 'vscode/vscode/vs/workbench/services/activity/browser/activityService';
export { HoverService } from 'vscode/vscode/vs/editor/browser/services/hoverService/hoverService';
export { PanelPart } from 'vscode/vscode/vs/workbench/browser/parts/panel/panelPart';
export { SidebarPart } from 'vscode/vscode/vs/workbench/browser/parts/sidebar/sidebarPart';
